#
# spec file for package mpg123 (Version 0.59s)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir base bash bindutil bison bzip compress cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake binutils cracklib gcc gdbm gettext libtool libz pam perl rpm

Name:         mpg123
Summary:      MPEG 1 layer 1,2,3 and MPEG 2 audio player
Copyright:    Michael Hipp
Group:        Applications/Multimedia
#Requires:     xforms
Autoreqprov:  on
Version:      0.59s
Release:      405
Url:          http://www.mpg123.de/
Source:       http://www.mpg123.de/mpg123/mpg123-pre%{version}.tar.gz
Source1:      test.mp3
Patch:        mpg123-%{version}.dif
Patch1:       mpg123-overflow.patch
Patch2:       mpg123-http-overflow.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
This text based mpeg player is really fast. It is also used by many grafical
applications.

Authors:
--------
    Michael Hipp <hippm@informatik.uni-tuebingen.de>
    Oliver Fromme <oliver.fromme@heim3.tu-clausthal.de>
    Syuuhei Kashiyama <squash@mb.kcom.ne.jp>
    Kimura Takuhiro <kim@hannah.ipc.miyakyo-u.ac.jp>

SuSE series: snd

%prep
%setup -n mpg123
%patch
%patch1
%patch2

%build
%ifarch i386
make linux-3dnow
%else
%ifarch alpha ppc
make linux-%{_target_cpu}
%else
make OBJECTS="decode.o dct64.o audio_oss.o" \
     CFLAGS="-DREAL_IS_FLOAT -DLINUX -Wall -O2 -DOSS \
             -fomit-frame-pointer -funroll-all-loops -finline-functions \
             -ffast-math" \
     mpg123-make
%endif
%endif

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin $RPM_BUILD_ROOT/%{_mandir}/man1
make BINDIR=$RPM_BUILD_ROOT/usr/bin \
     MANDIR=$RPM_BUILD_ROOT/%{_mandir} install
%ifarch sparc sparc64
mkdir -p $RPM_BUILD_ROOT/usr/share/sounds
install -m644 %SOURCE1 $RPM_BUILD_ROOT/usr/share/sounds
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc BENCHMARKING BUGS CHANGES COPYING INSTALL JUKEBOX 
%doc README README.WIN32 README.remote TODO
%ifarch i386
%doc README.3DNOW
%endif
/usr/bin/mpg123
%doc %{_mandir}/man1/mpg123.1.gz
%ifarch sparc sparc64
/usr/share/sounds/test.mp3
%endif

%changelog -n mpg123
* Wed Oct 15 2003 - nadvornik@suse.cz
- fixed buffer overflow in http code [#32332]
* Wed Jan 22 2003 - nadvornik@suse.cz
- added fix for buffer overflow
* Wed Oct 03 2001 - kukuk@suse.de
- Add test mp3 for y2c-sound on SPARC
* Mon Aug 20 2001 - nadvornik@suse.cz
- update to pre0.59s
* Tue May 22 2001 - uli@suse.de
- worked around assumption "sizeof(long)==4" in layer3.c for
  IA64 and AXP
* Wed Apr 11 2001 - uli@suse.de
- added 3dnow patch by Kimura Takuhiro (autodetects CPU caps)
* Thu Mar 08 2001 - tiwai@suse.de
- Fixed comiple on ia64.
* Wed May 17 2000 - nadvornik@suse.cz
- added man page
- added BuildRoot
- used %%doc macro
* Sat Apr 29 2000 - kukuk@suse.de
- Fix to compile on platforms != Intel
* Thu Apr 20 2000 - adrian@suse.de
- initial package. Version 0.59r
